# v1alpha2_resource_claim_consumer_reference_t

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**api_group** | **char \*** | APIGroup is the group for the resource being referenced. It is empty for the core API. This matches the group in the APIVersion that is used when creating the resources. | [optional] 
**name** | **char \*** | Name is the name of resource being referenced. | 
**resource** | **char \*** | Resource is the type of resource being referenced, for example \&quot;pods\&quot;. | 
**uid** | **char \*** | UID identifies exactly one incarnation of the resource. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


